Package de.willuhn.jameica.hbci.synchronize.hbci

# Enum Class HBCITraceMessage.Type

java.lang.Object
java.lang.Enum<HBCITraceMessage.Type>
de.willuhn.jameica.hbci.synchronize.hbci.HBCITraceMessage.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<HBCITraceMessage.Type>`, `Constable`

Enclosing class:
  `HBCITraceMessage`

public static enum HBCITraceMessage.Type extends Enum<HBCITraceMessage.Type>
Der Typ der Message.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLOSE`
Session fuer die ID geschlossen.
`ID`
Identifier.
`INFO`
Freitext-Informationen zum Kontext.
`RECV`
rohe HBCI-Message empfangen.
`SEND`
rohe HBCI-Message gesendet.

## Method Summary

Modifier and Type
Method
Description
`static HBCITraceMessage.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HBCITraceMessage.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SEND

public static final HBCITraceMessage.Type SEND
rohe HBCI-Message gesendet.

### RECV

public static final HBCITraceMessage.Type RECV
rohe HBCI-Message empfangen.

### INFO

public static final HBCITraceMessage.Type INFO
Freitext-Informationen zum Kontext.

### ID

public static final HBCITraceMessage.Type ID
Identifier.

### CLOSE

public static final HBCITraceMessage.Type CLOSE
Session fuer die ID geschlossen.

## Method Details

### values

public static HBCITraceMessage.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HBCITraceMessage.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null